Pricefx REST API Reference
- Get an Object
The Pricefx Backend API
Request
Creates an object. Only one object can be added per request (unless batched).
Information: Some object types may be blocked from being added by the update command as special processing is done by a dedicated manager command.
The object's type code. See the list of Type Codes.
The initial values of the object. The request needs to contain all fields that are part of the business key for that object and all non-nullable fields.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/{TypeCode}
- URL:https://companynode.pricefx.com/pricefx/companypartition/add/{TypeCode}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/{TypeCode}' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"sku": "product001",
"label": "The Label 99",
"currency": "USD",
"formulaName": "PriceList",
"attribute1": "123",
"attribute2": "2"
},
"operation": "add"
}'Request
Retrieves details of the specified object.
Note: Certain data elements (e.g. lookup table values of any table, including JSON lookup tables / pricing params) should NOT be retrieved with the general fetch commands (/fetch/{TypeCode}). Always use the "...manager.fetch" API endpoints where they are available. The same applies to update/delete/integrate commands.
Information: The following entities can intentionally be fetched by any user without any particular user role: CN, BR, CS, CLLIAM, CTAM, CTT, CTTAM, C, CAM, CXAM, DMDC, DMF, DMDL, DMDS, DM, DMM, DMR, DMT, DCRAM, FN, IE, JST, JLTVM, MPLIT, MPLAM, MLTVM, MRAM, MT, PYRAM, PGIM, PRAM, PLIM, P, PAM, PXAM, QAM, RBAAM, RRAM, RRS, RRSC, RBT, RBTAM, SC, SCN, SCNAM, SIM, SIAM, UG.
The object's type code. See the list of Type Codes.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/{TypeCode}/{id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/fetch/{TypeCode}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/{TypeCode}/{id}'{ "response": { "node": "string", "data": [ … ], "status": 0 } }
Request
Retrieves all objects (including details) of the specified type. A filter can be applied.
Information: Certain data elements (e.g. lookup table values of any table, including JSON lookup tables / pricing params) should NOT be retrieved with the general fetch commands (/fetch/{TypeCode}). Always use the "...manager.fetch" API endpoints where they are available. The same applies to update/delete/integrate commands.
Information: The following entities can intentionally be fetched by any user without any particular user role: CN, BR, CS, CLLIAM, CTAM, CTT, CTTAM, C, CAM, CXAM, DMDC, DMF, DMDL, DMDS, DM, DMM, DMR, DMT, DCRAM, FN, IE, JST, JLTVM, MPLIT, MPLAM, MLTVM, MRAM, MT, PYRAM, PGIM, PRAM, PLIM, P, PAM, PXAM, QAM, RBAAM, RRAM, RRS, RRSC, RBT, RBTAM, SC, SCN, SCNAM, SIM, SIAM, UG.
You can choose fields to be returned in the response by employing the resultFields or valueFields filter:
resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Product's listProductsResponseExample_resultFields response example.
valueFields: returns just an array of values. Use this option if a better performance is required. See the List Product's listProductsResponseExample_valueFields response example.
The object's type code. See the list of Type Codes.
- application/json
- application/xml
- multipart/form-data
The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.
The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/{TypeCode}
- URL:https://companynode.pricefx.com/pricefx/companypartition/fetch/{TypeCode}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- application/json
- application/xml
- multipart/form-data
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/{TypeCode}' \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "expiryDate",
"operator": "lessThan",
"value": "2023-05-25"
}
]
}
}'{ "response": { "node": "string", "data": null, "status": 0, "startRow": 0, "endRow": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments